<script>
    export let post_data;
    console.log(post_data);
</script>

<div class="post my-2 p-4 md:rounded-xl shadow-sm bg-slate-800">
    {#await post_data}
    ...
    {:then postas}
    <div class="mb-2">
        <img class="bg-slate-200 w-8 h-8 mr-1 inline-block rounded-full" src="https://content.tamo.lt/images/tamo_ukraina.svg">
        <p class="inline text-sm text-gray-200">{postas.autorius}</p>
    </div>
    <p class="text-lg">{postas.irasas}</p>
    <span class="relative r-0 text-slate-400 tet-sm">{postas.sukurta}</span>
    {/await}
    
</div>